# Saleina CMS

[![](https://data.jsdelivr.com/v1/package/npm/saleina-cms/badge)](https://www.jsdelivr.com/package/npm/saleina-cms)

A CMS for static site generators. Give non-technical users a simple way to edit
and add content to any site built with a static site generator.

## How it works

Saleina CMS is a single-page app that you pull into the `/admin` part of your site.

It presents a clean UI for editing content stored in a Git repository.

You setup a YAML config to describe the content model of your site, and typically
tweak the main layout of the CMS a bit to fit your own site.

When a user navigates to `/admin` they'll be prompted to login, and once authenticated
they'll be able to create new content or edit existing content.

Read more about Saleina CMS [Introduction](https://saleinacms.org/docs/introduction/).

# Installation and Configuration

A Quick and easy install, that just requires you to create a single HTML file and a configuration file. All the CMS files are loaded from a CDN. To learn more about this installation method, refer to the [Docs](https://saleinacms.org/docs/introduction/)

# Support Us

<a href="https://www.patreon.com/bePatron?u=13775036" data-patreon-widget-type="become-patron-button"><img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png"></a>

## Our Sponsors
<a href="https://m.do.co/c/2c318451e32c"><img src="https://opensource.nyc3.cdn.digitaloceanspaces.com/attribution/assets/SVG/DO_Logo_horizontal_blue.svg" width="300"></a>

# Change Log

This project adheres to [Semantic Versioning](http://semver.org/).
Every release is documented on the Github [Releases](https://github.com/saleina/SaleinaCMS/releases) page.

# License

Saleina CMS is released under the [MIT License](LICENSE).
Please make sure you understand its [implications and guarantees](https://writing.kemitchell.com/2016/09/21/MIT-License-Line-by-Line.html).